aboutsummaryrefslogtreecommitdiffstats
path: root/testing/acl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-23 12:14:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-23 12:32:38 +0000
commit73161430a0c52543058cb461c2b92ae6771169f7 (patch)
tree6dbe15ed955486caa1d255a1188a702cfa6bda2a /testing/acl/APKBUILD
parentf1e50c070e43abbcbf647dc83f468a4e04f743ba (diff)
downloadaports-73161430a0c52543058cb461c2b92ae6771169f7.tar.gz
aports-73161430a0c52543058cb461c2b92ae6771169f7.tar.bz2
aports-73161430a0c52543058cb461c2b92ae6771169f7.tar.xz
testing/acl: new aport
Library for filesystem ACL support http://savannah.nongnu.org/projects/acl
Diffstat (limited to 'testing/acl/APKBUILD')
-rw-r--r--testing/acl/APKBUILD54
1 files changed, 54 insertions, 0 deletions
diff --git a/testing/acl/APKBUILD b/testing/acl/APKBUILD
new file mode 100644
index 0000000000..c1b42c6622
--- /dev/null
+++ b/testing/acl/APKBUILD
@@ -0,0 +1,54 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=acl
+pkgver=2.2.49
+pkgrel=0
+pkgdesc="Library for filesystem ACL support"
+url="http://savannah.nongnu.org/projects/acl"
+license="LGPL"
+depends=
+makedepends="attr-dev gzip"
+subpackages="$pkgname-dev $pkgname-doc libacl"
+source="http://mirrors.zerg.biz/nongnu/$pkgname/$pkgname-$pkgver.src.tar.gz
+ quote-strchr.patch"
+
+prepare() {
+ cd "$srcdir"/acl-$pkgver
+ patch -p1 -i "$srcdir"/quote-strchr.patch || return 1
+ #libtoolize --force && aclocal -I m4 && autoconf && autoheader
+ sed -i \
+ -e '/^as_dummy=/s:=":="$PATH$PATH_SEPARATOR:' \
+ configure # hack PATH with AC_PATH_PROG
+ sed -i \
+ -e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+ -e '/HAVE_ZIPPED_MANPAGES/s:=.*:=false:' \
+ include/builddefs.in \
+ || return 1
+}
+
+build() {
+ cd "$srcdir"/acl-$pkgver
+ unset PLATFORM
+ export OPTIMIZER="${CFLAGS}"
+ export DEBUG=-DNDEBUG
+ CONFIG_SHELL=/bin/sh ./configure --prefix=/usr \
+ --libdir=/lib \
+ --libexecdir=/usr/lib \
+ --disable-gettext \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/acl-$pkgver
+ make DIST_ROOT="$pkgdir" install install-lib install-dev
+ mv "$pkgdir"/lib/libacl.[al]* "$pkgdir"/usr/lib/
+ chown -R root:root "$pkgdir"/*
+}
+
+libacl() {
+ mkdir -p "$subpkgdir"/lib
+ mv "$pkgdir"/lib/libacl.so.* "$subpkgdir"/lib/
+}
+
+md5sums="181445894cca986da9ae0099d5ce2d08 acl-2.2.49.src.tar.gz
+1bef4f022a068ebfeb3b5363dc6ce174 quote-strchr.patch"